%define name	gscan2pdf
%define version	1.4.0
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Producies multipage PDFs from a scan
Version: 	%{version}
Release: 	%{release}
Source:		http://jaist.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.xz
URL:		http://gscan2pdf.sourceforge.net/
License:	GPLv3
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
Requires:	libtiff-progs
Requires:	sane-frontends
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr
Requires:	perl-Config-General
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-Gtk2-Ex-Simple-List
Requires:	perl-PDF-API2
Requires:	perl-Gtk2
Requires:	perl-Locale-gettext 
Requires:	perl-Image-Magick
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-forks >= 0.33
Requires:	perl-reaper
Requires:	perl-Set-IntSpan
Requires:	perl-Log-Log4perl
Requires:	perl-Gtk2-ImageView
Requires:	perl-Goo-Canvas
Requires:	perl-Archive-Tar
Requires:	perl-Sane
Requires:	perl-Proc-ProcessTable
Requires:	perl-Readonly
Obsoletes: 	%{name} < %version

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%setup -q

# fix file that is not UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 History > History.new
mv History.new History

%build
perl Makefile.PL INSTALLDIRS=vendor
perl -pi -e 's|usr/local|usr||g' Makefile
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category="Application" \
        --add-category="Office;X-MandrivaLinux-Office-Accessories" \
	%buildroot%_datadir/applications/*.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.svg $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.svg $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.svg $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc History INSTALL
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.svg
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sun Oct 16 2016 adrianomorselli <adrianomorselli> 1.4.0-1uplos2016
- rebuild

* Sun Apr 17 2016 bb <bb> 1.4.0-1pclos2016
- update

* Mon Jan 18 2016 bb <bb> 1.3.7-1pclos2016
- update

* Thu Nov 21 2013 pinoc <vogtpet at gmail.com> 1.0.0-3pclos2013
- rebuild

* Thu Nov 10 2011 Texstar <texstar at gmail.com> 1.0.0-2pclos2011
- add a shitload more perl dependencies

